Skip to main content
POST
/
trading
/
orders
/
{orderId}
/
requirement
/
file
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.tradingBeta.uploadOrderRequirementFile(tradingBetaApiUploadOrderRequirementFileRequest);
{
  "code": 900,
  "message": "Invalid base amount: must be greater than 0"
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

orderId
string
required

The ID of the order to upload the order requirement file for.

Minimum string length: 1

Body

multipart/form-data

Multipart body of POST /trading/orders/{orderId}/requirement/file. Uploads a single file as part of an order requirement response. Fireblocks encrypts and uploads each file individually to the underlying provider.

fileKey
string
required

Identifier of the required file this upload satisfies. Must match a fileKey from requiredFiles on the GET response.

Example:

"identity_document"

file
file
required

The binary file content. The file's type must be one of the supported OrderRequirementAllowedFileType values; the file name and type are derived from the uploaded part.

Response

File accepted for processing.